package com.hdkj.lt.utils.tree;

import java.util.List;

/**
 * @author luorui
 * @date 2025/6/23 15:54
 */
public interface TreeNode<T> {

    Long getId();//获取节点ID
    Long getParentId();//获取父节点ID
    List<T> getChildren();//获取子节点列表
    void setChildren(List<T> children);//设置子节点列表
}
